;
; CANON INC. Scanner driver
;
; MG4200SC.INI  -- Windows Setup File for the MG4200
;               Scanner driver
; Copyright (c) CANON INC. 2012

[Version]
SIGNATURE="$Windows NT$"
CLASS=dummy
DriverVer=04/23/2012,19.0.1.25

[DestinationDirs]
DefaultDestDir=11
CNCDsFiles=10,"twain_32\"%CNCRFN%
CNCDsFiles_64=10,"twain_32\"%CNCRFN%
CNCMediaFiles=10,media
ColorFilesNet.NT=11,spool\drivers\Color
STIFiles_64=10,SysWow64


;........................................ WinXP, Vista, Win7 section
[CNCInstall_XP.NT]
AddReg=CNCAddregUSB
CopyFiles=STIFiles,CNCDsFiles,CNCMediaFiles

;........................................ WinXP x64, Vista x64, Win7 x64 section
[CNCInstall_XP64.NT]
AddReg=CNCAddregUSB
CopyFiles=STIFiles_64,CNCDsFiles,CNCDsFiles_64,CNCMediaFiles

;........................................ WinXP, Vista, Win7 section (Network)
[CNCInstallNet_XP.NT]
AddReg=CNCAddregUSB,CNCAddregNet,CNCAddReg.Events
CopyFiles=STIFiles,STIFiles_32,CNCDsFiles,ColorFilesNet.NT,CNCMediaFiles

;........................................ WinXP x64, Vista x64, Win7 x64 section (Network)
[CNCInstallNet_XP64.NT]
AddReg=CNCAddregUSB,CNCAddregNet,CNCAddReg.Events
CopyFiles=STIFiles_64,CNCDsFiles,CNCDsFiles_64,ColorFilesNet.NT,CNCMediaFiles


;.......................................... Common Section
[CNCAddregUSB]
HKLM,"%SGDKEY%","DriverDate",0x00004000,"04 2012"
HKLM,"%SGDKEY%","DriverVersion",0x00004000,"19.0.1.25"
HKLM,"%SGDKEY%","Manufacturer",0x00004000,"Canon Inc."
HKLM,"%SGDKEY%","ProductFamily",0x00004000,"TWAIN Scanners"
HKLM,"%SGDKEY%","ProductName",0x00004000,%CNC.MDL%
HKLM,"%SGDKEY%","ButtonNum",0x00014001,2
HKLM,"%SGDKEY%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%CNCRFN%\"
HKLM,"%SGDKEY%","CaddisLLDPath",0x00004000,"%CADDIStable%"
HKLM,"%SGDKEY%","CaddisUIPath",0x00004000, "CNUI001.TBL"

[CNCAddregNet]
HKLM,"%SGDKEYNet%","AvailableDriver",0x00014001,1
HKLM,"%SGDKEYNet%","ButtonNum",0x00014001,2
HKLM,"%SGDKEYNet%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%CNCRFN%\"
HKLM,"%SGDKEYNet%","PortName",0x00004000,"%BJNP_PORT_Net%"
HKLM,"%SGDKEYNet%","ProductName",0x00004000,%CNC.MDL_Net%
HKLM,"%SGDKEYNet%","CaddisLLDPath",0x00004000,"%CADDIStable%"
HKLM,"%SGDKEYNet%","CaddisUIPath",0x00004000, "CNUI001.TBL"

[CNCAddReg.Events]
HKLM,"%SGDKEYNet%","PushButtonName1",0x00004000,"0000000000010000000000000000000000000000000000000000000000000000,{54BF2606-2FA2-41de-BC19-B668248E5AB5}"
HKLM,"%SGDKEYNet%","PushButtonName2",0x00004000,"0000000000020000000000000000000000000000000000000000000000000000,{E55C2BDF-B152-4628-BC41-C65FC0E65C7D}"

[ColorFilesNet.NT]
CN%CNC.ColorGear%.ICC

[STIFiles]
%CNC.Module%U.dll

[STIFiles_32]
%CNC.Module%L.dll
CNHMCA.dll
%CADDIStable%

[STIFiles_64]
%CNC.Module%U.dll
%CNC.Module%L.dll
CNHMCA.dll
%CADDIStable%

[CNCDsFiles]
AG.dll
CAPS.dll
CISDS.ds
CISDS_Network.ds,CISDS.ds
CUBS.dll
DDT.dll
HSL.DLL
IJFSHLIB.dll
MC2.dll
MC2Plus.dll
RACS2LIB.dll
rstcol.dll
SCNDB.dll
SCNFLW.dll
SCNIF.dll
SCNUI.dll
SCRPRMV.DLL
scrprmvl.dll
SGCFLTR.dll
softfare.dll
TDGLIB.dll
TPM.dll
usip.dll

SCNDB.DAT

;CNCLID.dll
CNCLID32.dll

SG_IMG.dll
SG_JPN.dll
SG_ENU.dll
SG_ESP.dll

SG_ARA.dll
SG_CHS.dll
SG_CHT.dll
SG_CSY.dll
SG_DAN.dll
SG_DEU.dll
SG_ELL.dll
SG_FIN.dll
SG_FRA.dll
SG_HUN.dll
SG_IND.dll
SG_ITA.dll
SG_KOR.dll
SG_NLD.dll
SG_NOR.dll
SG_PLK.dll
SG_PTB.dll
SG_RUS.dll
SG_SVE.dll
SG_THA.dll
SG_TRK.dll
SG_BGR.dll
SG_ETI.dll
SG_LVI.dll
SG_LTH.dll
SG_SKY.dll
SG_SLV.dll
SG_ROM.dll
SG_UKR.dll

%CNC.Param%H.DAT
%CNC.Param%M.DAT
%CNC.Param%P.DAT
%CNC.Param%R.DAT
%CNC.Param%T.DAT

SETUP.ini

twsetup3.dll

[CNCDsFiles_64]
SGCFLTR6.dll
twsetup6.dll

[CNCMediaFiles]
cssamp1.mid

;-------------------------------Source Index
[SourceDisksFiles]
twsetup3.dll=1
twsetup6.dll=1
SETUP.ini=1

AG.dll=2
CAPS.dll=2
CISDS.ds=2
CUBS.dll=2
DDT.dll=2
HSL.DLL=2
IJFSHLIB.dll=2
MC2.dll=2
MC2Plus.dll=2
RACS2LIB.dll=2
rstcol.dll=2
SCNDB.dll=2
SCNFLW.dll=2
SCNIF.dll=2
SCNUI.dll=2
SCRPRMV.DLL=2
scrprmvl.dll=2
SGCFLTR.dll=2
SGCFLTR6.dll=2
softfare.dll=2
TDGLIB.dll=2
TPM.dll=2
usip.dll=2

;CNCLID.dll=2
CNCLID32.dll=2

SG_IMG.dll=2
SG_JPN.dll=2
SG_ENU.dll=2
SG_ESP.dll=2

SG_ARA.dll=2
SG_CHS.dll=2
SG_CHT.dll=2
SG_CSY.dll=2
SG_DAN.dll=2
SG_DEU.dll=2
SG_ELL.dll=2
SG_FIN.dll=2
SG_FRA.dll=2
SG_HUN.dll=2
SG_IND.dll=2
SG_ITA.dll=2
SG_KOR.dll=2
SG_NLD.dll=2
SG_NOR.dll=2
SG_PLK.dll=2
SG_PTB.dll=2
SG_RUS.dll=2
SG_SVE.dll=2
SG_THA.dll=2
SG_TRK.dll=2
SG_BGR.dll=2
SG_ETI.dll=2
SG_LVI.dll=2
SG_LTH.dll=2
SG_SKY.dll=2
SG_SLV.dll=2
SG_ROM.dll=2
SG_UKR.dll=2

CNHMCA.dll=2

cssamp1.mid=2

CN%CNC.ColorGear%.ICC=3

%CNC.Module%U.dll=3
%CNC.Module%L.dll=3
%CADDIStable%=3
%CNC.Param%H.DAT=3
%CNC.Param%M.DAT=3
%CNC.Param%P.DAT=3
%CNC.Param%R.DAT=3
%CNC.Param%T.DAT=3

SCNDB.DAT=3


[SourceDisksNames]
1=%DISKNAME%,,
2=%DISKNAME%,"TWAIN01.CAB"
3=%DISKNAME%,"TWAIN02.CAB"


;-------------------------------String Aliases
[Strings]
SGDKEY="Software\Canon\ScanGear\Devices\MG4200 series"
SGDKEYNet="Software\Canon\ScanGear\Devices\MG4200 series_"
SGDKEY64="Software\Wow6432Node\Canon\ScanGear\Devices\MG4200 series"
SGDKEYNet64="Software\Wow6432Node\Canon\ScanGear\Devices\MG4200 series_"
BJNP_PORT_NET="CNBJNPSCAN_"
DISKNAME="Canon MG4200 series Setup Disk"
CNCRFN="MG4200 series"
CNC.MDL="Canon MG4200 series"
CNC.MDL_Net="Canon MG4200 series Network"
CNC.ColorGear    = "FRBY"
CNC.Module       = "CNC_B9"
CNC.Param        = "CNC_405"
CADDIStable      = "CNC1763D.TBL"
